DOMDocument::getElementById
DOMDocument::getElementsByTagNameNS
DOMDocument
PHP Manual

# DOMDocument::getElementsByTagName

(PHP 5)

DOMDocument::getElementsByTagName — Searches for all elements with given tag name

### Description

DOMNodeList DOMDocument::getElementsByTagName ( string `$name` )

This function returns a new instance of class DOMNodeList containing the elements with a given tag name.

### Parameters

`name`

  The name of the tag to match on. The special value * matches all tags.

### Return Values

A new DOMNodeList object containing all the matched elements.

### See Also

- DOMDocument::getElementsByTagNameNS - Searches for all elements with given tag name in specified namespace

DOMDocument::getElementById
DOMDocument::getElementsByTagNameNS
DOMDocument
PHP Manual